| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
PINMUX_GRP_T Struct Reference
NXP LPC11C24 Xpresso board support functions | NXP LPC11U14 Xpresso board support functions | NXP LPC1347 Xpresso board support functions | LPC1788 and LPC4088 Embedded Artists Development Kit System Init code | NXP LPC1769 Xpresso board system init code | LPC1850 and LPC4350 Hitex EVA board System Init code | LPC1857 and LPC4357 Keil MCB board System Init code | LPC1830 and LPC4330 NGX Xplorer board System Init code

## Detailed Description

The System initialization code is called prior to the application and initializes the board for run-time operation. Board initialization includes clock setup and default pin muxing configuration.
With the exception of stack space, no RW memory is used for this call.
Clocking:
System and USB PLLs setup for 48MHz
Main clocking set to System PLL 48MHz, System clock set at main clocking divided by 1
Pin muxing:
Sets up various pin mux functions for the board
Memory:
There is no memory setup for this board.

The System initialization code is called prior to the application and initializes the board for run-time operation. Board initialization includes clock setup and default pin muxing configuration.

With the exception of stack space, no RW memory is used for this call.

Clocking:
Main clocking set to System PLL 72MHz, System clock set at main clocking divided by 1
USB PLL is not setup.
Pin muxing:
Sets up various pin mux functions for the board
Memory:
There is no memory setup for this board.

Definition at line 55 of file sysinit_nxp_xpresso_11c24.c.

## Data Fields
uint32_t | pin:8
uint32_t | modefunc:24
uint32_t | port:8
uint8_t | pingrp
uint8_t | pinnum
uint8_t | pincfg
uint8_t | funcnum
uint16_t | modefunc

## Field Documentation

uint8_t funcnum

Definition at line 63 of file sysinit_nxp_xpresso_1769.c.

uint16_t modefunc

Definition at line 57 of file sysinit_nxp_xpresso_11c24.c.

uint16_t modefunc

Definition at line 61 of file sysinit_hitex_eva_18504350.c.

uint32_t pin

Definition at line 56 of file sysinit_nxp_xpresso_11c24.c.

uint8_t pincfg

Definition at line 62 of file sysinit_nxp_xpresso_1769.c.

uint8_t pingrp

Definition at line 58 of file sysinit_ea_devkit_17884088.c.

uint8_t pinnum

Definition at line 59 of file sysinit_ea_devkit_17884088.c.

uint32_t port

Definition at line 56 of file sysinit_nxp_xpresso_11u14.c.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_11xx/nxp_xpresso_11c24/sysinit_nxp_xpresso_11c24.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_11xx/nxp_xpresso_11u14/sysinit_nxp_xpresso_11u14.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_13xx/nxp_xpresso_1347/sysinit_nxp_xpresso_1347.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_17xx_40xx/ea_devkit_17884088/sysinit_ea_devkit_17884088.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_17xx_40xx/nxp_xpresso_1769/sysinit_nxp_xpresso_1769.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_18xx_43xx/hitex_eva_18504350/sysinit_hitex_eva_18504350.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_18xx_43xx/keil_mcb_18574357/sysinit_keil_mcb_18574357.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_board/boards_18xx_43xx/ngx_xplorer_18304330/sysinit_ngx_xplorer_18304330.c
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/applications/lpc18xx_43xx/examples/dfuutil/dfuutil_programming_spiflash/dfuutil_programming_spiiflash_systeminit.c